# Uses of Class
org.opensaml.xmlsec.keyinfo.impl.BasicKeyInfoGeneratorFactory.BasicOptions

Packages that use BasicKeyInfoGeneratorFactory.BasicOptions
Package
Description
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.

## Uses of BasicKeyInfoGeneratorFactory.BasicOptions in org.opensaml.xmlsec.keyinfo.impl

Subclasses of BasicKeyInfoGeneratorFactory.BasicOptions in org.opensaml.xmlsec.keyinfo.impl
Modifier and Type
Class
Description
`protected class`
`KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions`
Options to be used in the production of a `KeyInfo` from an `KeyAgreementCredential`.
`protected class`
`X509KeyInfoGeneratorFactory.X509Options`
Options to be used in the production of a `KeyInfo` from an `X509Credential`.
Fields in org.opensaml.xmlsec.keyinfo.impl declared as BasicKeyInfoGeneratorFactory.BasicOptions
Modifier and Type
Field
Description
`private final BasicKeyInfoGeneratorFactory.BasicOptions`
BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator.`options`
The set of options to be used by the generator.
`private final BasicKeyInfoGeneratorFactory.BasicOptions`
BasicKeyInfoGeneratorFactory.`options`
The set of options configured for the factory.
Methods in org.opensaml.xmlsec.keyinfo.impl that return BasicKeyInfoGeneratorFactory.BasicOptions
Modifier and Type
Method
Description
`protected BasicKeyInfoGeneratorFactory.BasicOptions`
BasicKeyInfoGeneratorFactory.BasicOptions.`clone()`
`protected BasicKeyInfoGeneratorFactory.BasicOptions`
BasicKeyInfoGeneratorFactory.`getOptions()`
Get the options of this instance.
`protected BasicKeyInfoGeneratorFactory.BasicOptions`
BasicKeyInfoGeneratorFactory.`newOptions()`
Get a new instance to hold options.
Constructors in org.opensaml.xmlsec.keyinfo.impl with parameters of type BasicKeyInfoGeneratorFactory.BasicOptions
Modifier
Constructor
Description
`protected`
`BasicKeyInfoGenerator(BasicKeyInfoGeneratorFactory.BasicOptions newOptions, Class<? extends KeyInfo> type)`
Constructor.